- [HTTP request](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications/patch#try-it)

Updates an Application in a host project and location.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west10 europe-west12 europe-west1 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`PATCH https://apphub.googleapis.com/v1alpha/{application.name=projects/*/locations/*/applications/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `application.name` | `string` Identifier. The resource name of an Application. Format: `"projects/{host-project-id}/locations/{location}/applications/{application-id}"` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Field mask is used to specify the fields to be overwritten in the Application resource by the update. The fields specified in the updateMask are relative to the resource, not the full request. The API changes the values of the fields as specified in the updateMask. The API ignores the values of all fields not covered by the updateMask. You can also unset a field by not specifying it in the updated message, but adding the field to the mask. This clears whatever value the field previously had. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/app-hub/docs/reference/rest/v1alpha/projects.locations.applications#Application`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/app-hub/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `apphub.applications.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).